Package com.datecs.fiscalprinter.SDK.model.UserLayerV1

# Class cmdItems.ItemModel

java.lang.Object
com.datecs.fiscalprinter.SDK.model.UserLayerV1.cmdItems.ItemModel

All Implemented Interfaces:
  `java.io.Serializable`

Enclosing class:
  cmdItems

    public static class cmdItems.ItemModel
    extends java.lang.Object
    implements java.io.Serializable

See Also:
  Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type | Class | Description
  --- | --- | ---
  `static class` | `cmdItems.ItemModel.ItemState` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ItemModel​(int plu, java.lang.String taxGr, java.lang.String group, java.lang.String sPrice, java.lang.String quantity, boolean replaceQty, java.lang.String name, java.lang.String total, java.lang.String sold, cmdItems.ItemModel.ItemState state)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getGroup()` |
  `java.lang.String` | `getName()` |
  `int` | `getPlu()` |
  `java.lang.String` | `getQuantity()` |
  `java.lang.String` | `getSold()` |
  `java.lang.String` | `getsPrice()` |
  `cmdItems.ItemModel.ItemState` | `getState()` |
  `java.lang.String` | `getTaxGr()` |
  `java.lang.String` | `getTotal()` |
  `boolean` | `isReplaceQty()` |
  `void` | `setGroup​(java.lang.String group)` |
  `void` | `setName​(java.lang.String name)` |
  `void` | `setPlu​(int plu)` |
  `void` | `setQuantity​(java.lang.String quantity)` |
  `void` | `setReplaceQty​(boolean replaceQty)` |
  `void` | `setsPrice​(java.lang.String sPrice)` |
  `void` | `setState​(cmdItems.ItemModel.ItemState state)` |
  `void` | `setTaxGr​(java.lang.String taxGr)` |

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ItemModel

    public ItemModel​(int plu, java.lang.String taxGr, java.lang.String group, java.lang.String sPrice, java.lang.String quantity, boolean replaceQty, java.lang.String name, java.lang.String total, java.lang.String sold, cmdItems.ItemModel.ItemState state)
    Parameters:
      `plu` - //Item number (1...999999999);
      `taxGr` - //VAT group (letter 'A'...'H' or cyrillic
      `group` - //Stock group (1...9);
      `sPrice` - //Price ( 0.00...9999999.99);
      `quantity` - //Stock quantity (0.001...99999.999);
      `name` - //Item name (up to 36 symbols);
      `total` - //Read only
      `sold` - //Sold out quantity (0.001...99999.999);
      `state` - //State of item data in memory

- ## Method Details

  - ### getState

    public cmdItems.ItemModel.ItemState getState()

  - ### setState

    public void setState​(cmdItems.ItemModel.ItemState state)

  - ### setReplaceQty

    public void setReplaceQty​(boolean replaceQty)

  - ### isReplaceQty

    public boolean isReplaceQty()

  - ### getPlu

    public int getPlu()

  - ### setPlu

    public void setPlu​(int plu)

  - ### getTaxGr

    public java.lang.String getTaxGr()

  - ### setTaxGr

    public void setTaxGr​(java.lang.String taxGr)

  - ### getGroup

    public java.lang.String getGroup()

  - ### setGroup

    public void setGroup​(java.lang.String group)

  - ### getsPrice

    public java.lang.String getsPrice()

  - ### setsPrice

    public void setsPrice​(java.lang.String sPrice)

  - ### getQuantity

    public java.lang.String getQuantity()

  - ### setQuantity

    public void setQuantity​(java.lang.String quantity)

  - ### getName

    public java.lang.String getName()

  - ### setName

    public void setName​(java.lang.String name)

  - ### getTotal

    public java.lang.String getTotal()

  - ### getSold

    public java.lang.String getSold()